classification
Title: Tkinter.Listbox several minor issues
Type: behavior Stage: resolved
Components: Tkinter Versions: Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: asvetlov, gpolo, martin.panter, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2009-06-02 21:24 by gpolo, last changed 2014-06-02 19:10 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
Listbox_fixes.diff gpolo, 2009-06-02 21:24 review
Messages (6)
msg88766 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2009-06-02 21:24
Hi there,

I've found several minor issues in Tkinter.Listbox which are all fixed
by the attached patch.

I'm considering the bbox method should be clear in relation to the
amount of accepted arguments, which is always one. So I dropped the
*args usage there.
The curselection method has a reminder about applying getints on it, I
have done it now. I think it is fine to finally fix it, since we have
some tests for it now (at least in the tk_and_idle_maintenance branch).
The remaining changes in the patch are all about fixing docstring of
several methods in Listbox.
msg112877 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-08-04 20:00
Patch seems straight forward so can we commit please.
msg201483 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-10-27 19:27
LGTM.
msg219588 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-06-02 13:54
New changeset 5ab8ec8b5b5b by Serhiy Storchaka in branch '2.7':
Issue #6181: Fixed errors in tkinter.Listbox docstrings.
http://hg.python.org/cpython/rev/5ab8ec8b5b5b

New changeset 932532360578 by Serhiy Storchaka in branch '3.4':
Issue #6181: Fixed errors in tkinter.Listbox docstrings.
http://hg.python.org/cpython/rev/932532360578

New changeset bc0ac2f10aa0 by Serhiy Storchaka in branch 'default':
Issue #6181: Fixed errors in tkinter.Listbox docstrings.
http://hg.python.org/cpython/rev/bc0ac2f10aa0
msg219619 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-06-02 18:52
New changeset 8cd7eb00894e by Serhiy Storchaka in branch '2.7':
Issue #6181: Fixed minor bugs in tkinter.Listbox methods:
http://hg.python.org/cpython/rev/8cd7eb00894e

New changeset 54a2ceacac05 by Serhiy Storchaka in branch '3.4':
Issue #6181: Fixed minor bugs in tkinter.Listbox methods:
http://hg.python.org/cpython/rev/54a2ceacac05

New changeset 3a923156ca05 by Serhiy Storchaka in branch 'default':
Issue #6181: Fixed minor bugs in tkinter.Listbox methods:
http://hg.python.org/cpython/rev/3a923156ca05
msg219622 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-06-02 19:10
I divided the patch to three parts. First, obvious errors in docstrings. Second, minor behavior bugs. Added tests for affected methods. And I didn't commit third part, style changes to docstrings, because I want to update docstrings in separate issue.
History
Date User Action Args
2014-06-02 19:10:15serhiy.storchakasetstatus: open -> closed
resolution: fixed
messages: + msg219622

stage: patch review -> resolved
2014-06-02 18:52:33python-devsetmessages: + msg219619
2014-06-02 13:54:11python-devsetnosy: + python-dev
messages: + msg219588
2014-02-03 15:48:59BreamoreBoysetnosy: - BreamoreBoy
2013-10-31 16:08:15serhiy.storchakasetassignee: serhiy.storchaka
2013-10-27 19:27:53serhiy.storchakasetmessages: + msg201483
2013-09-15 11:07:09serhiy.storchakasetnosy: + serhiy.storchaka

versions: + Python 3.3, Python 3.4, - Python 3.1, Python 3.2
2013-07-01 01:04:19martin.pantersetnosy: + martin.panter
2012-04-04 10:16:46asvetlovsetnosy: + asvetlov
2010-08-04 20:00:17BreamoreBoysetversions: + Python 3.2
nosy: + BreamoreBoy

messages: + msg112877

type: behavior
stage: patch review
2009-06-21 19:43:32gpololinkissue869780 superseder
2009-06-02 21:24:57gpolocreate